//
//  main.m
//  SqueakServer
//
//  Created by Marcel Weiher on Tue Apr 09 2002.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Squeak/SqueakInterpreter.h>

int main(int argc, const char *argv[])
{
    id pool=[[NSAutoreleasePool alloc] init];
    NSBundle* bundle = [NSBundle mainBundle];
    NSString *path;
    if ( path = [bundle pathForResource:@"squeak" ofType:@"image"] ) {
        id interpreter =[SqueakInterpreter interpreter];
    
        [interpreter readImageFile:path withHeapSize:64 * 1024 * 1024];
        [interpreter setStackCacheEntries:64];
        [interpreter setContextCacheEntries:64];
        [interpreter startInterpreter];

    }
    [pool release];
    return 0;
}
